rtx(1)

NAME
rtx - Polyglot runtime manager (asdf rust clone)

SYNOPSIS
rtx [--install-missing] [-j|--jobs] [--log-level] [-r|--raw] [-v|--verbose]... [-h|--help] [-V|--version] <subcommands>

DESCRIPTION
rtx is a tool for managing runtime versions. https://github.com/jdxcode/rtx

It's a replacement for tools like nvm, nodenv, rbenv, rvm, chruby, pyenv, etc. that works for any language. It's also great for managing linters/tools like jq and shellcheck.

It is inspired by asdf and uses asdf's plugin ecosystem under the hood: https://asdf-vm.com/

OPTIONS

--install-missing
    Automatically install missing tools

-j, --jobs
    Number of plugins and runtimes to install in parallel default: 4

--log-level=LEVEL [default: info]
    Set the log output verbosity

-r, --raw
    Directly pipe stdin/stdout/stderr to user. Sets --jobs=1

-v, --verbose
    Show installation output

-h, --help
    Print help (see a summary with '-h')

-V, --version
    Print version

SUBCOMMANDS

rtx-activate(1)
    Initializes rtx in the current shell

rtx-alias(1)
    Manage aliases

rtx-bin-paths(1)
    List all the active runtime bin paths

rtx-cache(1)
    Manage the rtx cache

rtx-completion(1)
    Generate shell completions

rtx-current(1)
    Shows current active and installed runtime versions

rtx-deactivate(1)
    Disable rtx for current shell session

rtx-direnv(1)
    Output direnv function to use rtx inside direnv

rtx-doctor(1)
    Check rtx installation for possible problems.

rtx-env(1)
    Exports env vars to activate rtx a single time

rtx-env-vars(1)
    Manage environment variables

rtx-exec(1)
    Execute a command with tool(s) set

rtx-implode(1)
    Removes rtx CLI and all related data

rtx-install(1)
    Install a tool version

rtx-latest(1)
    Gets the latest available version for a plugin

rtx-link(1)
    Symlinks a tool version into rtx

rtx-ls(1)
    List installed and/or currently selected tool versions

rtx-ls-remote(1)
    List runtime versions available for install

rtx-outdated(1)
    [experimental] Shows outdated tool versions

rtx-plugins(1)
    Manage plugins

rtx-prune(1)
    Delete unused versions of tools

rtx-reshim(1)
    rebuilds the shim farm

rtx-self-update(1)
    Updates rtx itself

rtx-settings(1)
    Manage settings

rtx-shell(1)
    Sets a tool version for the current shell session

rtx-sync(1)
    Add tool versions from external tools to rtx

rtx-trust(1)
    Marks a config file as trusted

rtx-uninstall(1)
    Removes runtime versions

rtx-upgrade(1)
    [experimental] Upgrades outdated tool versions

rtx-use(1)
    Change the active version of a tool locally or globally.

rtx-version(1)
    Show rtx version

rtx-where(1)
    Display the installation path for a runtime

rtx-which(1)
    Shows the path that a bin name points to

rtx-help(1)
    Print this message or the help of the given subcommand(s)

EXTRA
Examples:
  $ rtx install node@20.0.0 Install a specific node version
  $ rtx install node@20.0 Install a version matching a prefix
  $ rtx install node Install the node version defined in
                        .tool-versions or .rtx.toml
  $ rtx use node@20 Use node-20.x in current project
  $ rtx use -g node@20 Use node-20.x as default
  $ rtx use node@latest Use latest node in current directory
  $ rtx use -g node@system Use system node everywhere unless overridden
  $ rtx x node@20 -- node app.js Run `node app.js` with PATH pointing to
                        node-20.x

VERSION
v1.35.1

AUTHORS
Jeff Dickey <@jdxcode>